uk.gov.hmrc.domain

# Modulus23Check

###
Related Doc: package domain

#### trait Modulus23Check extends ModulusCheck

Linear Supertypes
ModulusCheck, AnyRef, Any
Known Subclasses
AgentBusinessUtr, AtedUtr, Generator
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Modulus23Check
2. ModulusCheck
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculateCheckCharacter(utr: String): Char

   Attributes
     protected
   Definition Classes
     ModulusCheck

6. #### val checkString: String

   Attributes
     protected
   Definition Classes
     Modulus23Check → ModulusCheck

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def isCheckCorrect(utr: String, checkPosition: Int): Boolean

    Attributes
      protected
    Definition Classes
      ModulusCheck

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val mod: Int

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### val weights: List[Int]

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

### Inherited from ModulusCheck

### Inherited from AnyRef

### Inherited from Any

### Ungrouped